Name:          accounts-qml-module
Summary:       QML bindings for libaccounts-qt + libsignon-qt
Version:       0.7
Release:       2

License:       LGPLv2 
URL:           https://gitlab.com/accounts-sso/accounts-qml-module
Source:        https://gitlab.com/accounts-sso/%{name}/-/archive/VERSION_%{version}/%{name}-VERSION_%{version}.tar.bz2
Patch1:        Fix-compilation-with-Qt-5.13.patch
Patch2:        Build-add-qmltypes-file-to-repository.patch
Patch100:      accounts-qml-module-Werror.patch

BuildRequires: qt5-doctools
BuildRequires: libaccounts-qt5-devel
BuildRequires: qt5-qtdeclarative-devel
BuildRequires: signon-devel
BuildRequires: make
BuildRequires: clang-libs

%description
This QML module provides an API to manage the user's online accounts and get
their authentication data. It's a tiny wrapper around the Qt-based APIs of
libaccounts-qt and libsignon-qt.

%package doc
Summary: Documentation for %{name} 
BuildArch: noarch

%description doc
This package contains the developer documentation for accounts-qml-module.


%prep
%autosetup -n %{name}-VERSION_%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{qmake_qt5} \
  CONFIG+=release \
  PREFIX=%{_prefix} \
  LIBDIR=%{_libdir} \
  ..
popd

%make_build -C %{_target_platform}


%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

rm %{buildroot}%{_bindir}/tst_plugin
rm -fv %{buildroot}/%{_datadir}/%{name}/doc/html/.gitignore


%files
%license COPYING
%doc README.md
%{_qt5_archdatadir}/qml/Ubuntu/

%files doc
%doc %{_datadir}/%{name}/


%changelog
* Tue Nov 01 2022 misaka00251 <liuxin@iscas.ac.cn> - 0.7-2
- fix build error of libclang.so.17

* Tue Nov 01 2022 misaka00251 <liuxin@iscas.ac.cn> - 0.7-1
- Init package (Derived from federa project, thanks to fedora team)
